<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.poifs.macros (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.poifs.macros (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/poifs/nio/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/macros/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.poifs.macros</h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/macros/Module.html"
                                            title="interface in org.apache.poi.poifs.macros">Module</a></td>
                    <td class="colLast">
                        <div class="block">Representation of Macro module in office file.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/macros/VBAMacroExtractor.html"
                                            title="class in org.apache.poi.poifs.macros">VBAMacroExtractor</a></td>
                    <td class="colLast">
                        <div class="block">This tool extracts out the source of all VBA Modules of an office file,
                            both OOXML (eg XLSM) and OLE2/POIFS (eg DOC), to STDOUT or a directory.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/macros/VBAMacroReader.html"
                                            title="class in org.apache.poi.poifs.macros">VBAMacroReader</a></td>
                    <td class="colLast">
                        <div class="block">Finds all VBA Macros in an office file (OLE2/POIFS and OOXML/OPC),
                            and returns them.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/poifs/macros/VBAMacroReader.ModuleImpl.html"
                            title="class in org.apache.poi.poifs.macros">VBAMacroReader.ModuleImpl</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/poifs/macros/VBAMacroReader.ModuleMap.html"
                            title="class in org.apache.poi.poifs.macros">VBAMacroReader.ModuleMap</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Enum Summary table, listing enums, and an explanation">
                <caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Enum</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/macros/Module.ModuleType.html"
                                            title="enum in org.apache.poi.poifs.macros">Module.ModuleType</a></td>
                    <td class="colLast">
                        <div class="block">Type of macro module</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/poifs/nio/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/macros/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
